Reactor Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 7
Number of dependencies (NOD): 71
Number of unique artifacts (NOA): 80
Number of version-conflicting artifacts (NOC): 5
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 88 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in modules

org.apache.maven:maven-artifact

[Error]
2.2.1
  1. org.fastnate:fastnate-maven-plugin:maven-plugin:1.5.0
    +- org.apache.maven:maven-project:jar:2.2.1:compile
    |  +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
    |  |  \- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for conflict with 3.0)
    |  \- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for conflict with 3.0)
    \- org.apache.maven:maven-artifact:jar:2.2.1:compile

3.0
  1. org.fastnate:fastnate-maven-plugin:maven-plugin:1.5.0
    +- org.apache.maven:maven-plugin-api:jar:3.0:compile
    |  \- (org.apache.maven:maven-artifact:jar:3.0:compile - omitted for conflict with 2.2.1)
    \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.3:provided
       \- (org.apache.maven:maven-artifact:jar:3.0:provided - omitted for duplicate)

org.apache.maven:maven-model

[Error]
2.2.1
  1. org.fastnate:fastnate-maven-plugin:maven-plugin:1.5.0
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       +- org.apache.maven:maven-settings:jar:2.2.1:compile
       |  \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for conflict with 3.0)
       +- org.apache.maven:maven-profile:jar:2.2.1:compile
       |  \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for conflict with 3.0)
       \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for conflict with 3.0)

3.0
  1. org.fastnate:fastnate-maven-plugin:maven-plugin:1.5.0
    \- org.apache.maven:maven-plugin-api:jar:3.0:compile
       \- org.apache.maven:maven-model:jar:3.0:compile

org.codehaus.plexus:plexus-utils

[Error]
1.0.4
  1. org.fastnate:fastnate-maven-plugin:maven-plugin:1.5.0
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.0.4:compile - omitted for conflict with 1.5.8)

1.4.2
  1. org.fastnate:fastnate-maven-plugin:maven-plugin:1.5.0
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       \- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
          \- org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:compile
             \- (org.codehaus.plexus:plexus-utils:jar:1.4.2:compile - omitted for conflict with 1.5.8)

1.5.15
  1. org.fastnate:fastnate-maven-plugin:maven-plugin:1.5.0
    +- org.apache.maven:maven-project:jar:2.2.1:compile
    |  +- org.apache.maven:maven-settings:jar:2.2.1:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.5.8)
    |  +- org.apache.maven:maven-profile:jar:2.2.1:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.5.8)
    |  +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
    |  |  +- org.apache.maven:maven-repository-metadata:jar:2.2.1:compile
    |  |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.5.8)
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.5.8)
    |  +- org.apache.maven:maven-plugin-registry:jar:2.2.1:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.5.8)
    |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.5.8)
    \- org.apache.maven:maven-artifact:jar:2.2.1:compile
       \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 1.5.8)

1.5.8
  1. org.fastnate:fastnate-maven-plugin:maven-plugin:1.5.0
    \- org.sonatype.plexus:plexus-build-api:jar:0.0.7:compile
       \- org.codehaus.plexus:plexus-utils:jar:1.5.8:compile

2.0.4
  1. org.fastnate:fastnate-maven-plugin:maven-plugin:1.5.0
    \- org.apache.maven:maven-plugin-api:jar:3.0:compile
       \- org.apache.maven:maven-model:jar:3.0:compile
          \- (org.codehaus.plexus:plexus-utils:jar:2.0.4:compile - omitted for conflict with 1.5.8)

2.0.5
  1. org.fastnate:fastnate-maven-plugin:maven-plugin:1.5.0
    \- org.apache.maven:maven-plugin-api:jar:3.0:compile
       \- org.sonatype.sisu:sisu-inject-plexus:jar:1.4.2:compile
          \- (org.codehaus.plexus:plexus-utils:jar:2.0.5:compile - omitted for conflict with 2.0.4)

org.javassist:javassist

[Error]
3.18.1-GA
  1. org.fastnate:fastnate-csv:jar:1.5.0
    \- org.hibernate:hibernate-entitymanager:jar:5.0.7.Final:compile
       +- org.hibernate:hibernate-core:jar:5.0.7.Final:compile
       |  \- (org.javassist:javassist:jar:3.18.1-GA:compile - omitted for conflict with 3.19.0-GA)
       \- org.javassist:javassist:jar:3.18.1-GA:compile

  2. org.fastnate:fastnate-data:jar:1.5.0
    +- org.hibernate:hibernate-core:jar:5.0.7.Final:provided
    |  \- (org.javassist:javassist:jar:3.18.1-GA:provided - omitted for conflict with 3.19.0-GA)
    \- org.hibernate:hibernate-entitymanager:jar:5.0.7.Final:test
       \- (org.javassist:javassist:jar:3.18.1-GA:test - omitted for conflict with 3.19.0-GA)

  3. org.fastnate:fastnate-maven-plugin:maven-plugin:1.5.0
    \- org.hibernate:hibernate-core:jar:5.0.7.Final:provided
       \- org.javassist:javassist:jar:3.18.1-GA:provided

3.19.0-GA
  1. org.fastnate:fastnate-csv:jar:1.5.0
    \- org.fastnate:fastnate-data:jar:1.5.0:compile
       \- org.reflections:reflections:jar:0.9.10:compile
          \- (org.javassist:javassist:jar:3.19.0-GA:compile - omitted for conflict with 3.18.1-GA)

  2. org.fastnate:fastnate-data:jar:1.5.0
    \- org.reflections:reflections:jar:0.9.10:compile
       \- org.javassist:javassist:jar:3.19.0-GA:compile

  3. org.fastnate:fastnate-maven-plugin:maven-plugin:1.5.0
    \- org.fastnate:fastnate-data:jar:1.5.0:provided
       \- org.reflections:reflections:jar:0.9.10:provided
          \- (org.javassist:javassist:jar:3.19.0-GA:provided - omitted for conflict with 3.18.1-GA)

org.jboss.logging:jboss-logging

[Error]
3.2.1.Final
  1. org.fastnate:fastnate-examples:jar:1.5.0
    \- org.hibernate:hibernate-validator:jar:5.2.3.Final:test
       \- (org.jboss.logging:jboss-logging:jar:3.2.1.Final:test - omitted for conflict with 3.3.0.Final)

  2. org.fastnate:fastnate-generator:jar:1.5.0
    \- org.hibernate:hibernate-validator:jar:5.2.3.Final:test
       \- (org.jboss.logging:jboss-logging:jar:3.2.1.Final:test - omitted for conflict with 3.3.0.Final)

  3. org.fastnate:fastnate-maven-test:jar:1.5.0
    \- org.hibernate:hibernate-validator:jar:5.2.3.Final:test
       \- (org.jboss.logging:jboss-logging:jar:3.2.1.Final:test - omitted for conflict with 3.3.0.Final)

3.3.0.Final
  1. org.fastnate:fastnate-examples:jar:1.5.0
    +- org.hibernate:hibernate-core:jar:5.0.7.Final:provided (scope not updated to compile)
    |  \- (org.jboss.logging:jboss-logging:jar:3.3.0.Final:compile - scope updated from provided; omitted for duplicate)
    \- org.hibernate:hibernate-entitymanager:jar:5.0.7.Final:test (scope not updated to compile)
       +- org.jboss.logging:jboss-logging:jar:3.3.0.Final:test
       \- org.hibernate.common:hibernate-commons-annotations:jar:5.0.1.Final:test
          \- (org.jboss.logging:jboss-logging:jar:3.3.0.Final:test - omitted for duplicate)

  2. org.fastnate:fastnate-generator:jar:1.5.0
    +- org.hibernate:hibernate-core:jar:5.0.7.Final:provided
    |  +- org.jboss.logging:jboss-logging:jar:3.3.0.Final:provided
    |  \- org.hibernate.common:hibernate-commons-annotations:jar:5.0.1.Final:provided
    |     \- (org.jboss.logging:jboss-logging:jar:3.3.0.Final:provided - omitted for duplicate)
    \- org.hibernate:hibernate-entitymanager:jar:5.0.7.Final:test
       \- (org.jboss.logging:jboss-logging:jar:3.3.0.Final:test - omitted for duplicate)

  3. org.fastnate:fastnate-maven-test:jar:1.5.0
    +- org.hibernate:hibernate-core:jar:5.0.7.Final:provided (scope not updated to compile)
    |  \- (org.jboss.logging:jboss-logging:jar:3.3.0.Final:compile - scope updated from provided; omitted for duplicate)
    \- org.hibernate:hibernate-entitymanager:jar:5.0.7.Final:test (scope not updated to compile)
       +- org.jboss.logging:jboss-logging:jar:3.3.0.Final:test
       \- org.hibernate.common:hibernate-commons-annotations:jar:5.0.1.Final:test
          \- (org.jboss.logging:jboss-logging:jar:3.3.0.Final:test - omitted for duplicate)